#ifndef _FLOWSYSTEM_H_
#define _FLOWSYSTEM_H_

#include "Particle.h"
#include "Character.h"
#include "GameObject.h"

#define MAX_FLOW 750

class FlowSystem : public GameObject {
private:
//   float mMinX, mMaxX, mMinY, mMaxY, mMinZ, mMaxZ;
   float mTime;
   bool mEnabled;
   Particle mParticles[MAX_FLOW];

public:
   FlowSystem(unsigned int tex);
   FlowSystem(float minx, float miny, float minz, float maxx, float maxy, float maxz, unsigned int tex);   
   virtual ~FlowSystem();

   void collide(Character *, double *dx, double *dy, double *dz);
   void draw();
   void reinitialize();
   void step(double dt);
   
   static float Colors[9][3];
   static unsigned int texture[1];
};

#endif
