#ifndef _PACINGENEMY_H_
#define _PACINGENEMY_H_

#include "Scene.h"
#include "Player.h"

class PacingEnemy : public Character {
protected:
   float mDistance;
   float mEndPos[3];

   CMD2Model *myModel;		// the character model
   modelState_t modelState;		// global model state


public:
   PacingEnemy(float posx, float posy, float posz, float dist);
   virtual ~PacingEnemy();

   void collide(Player *player, double *dx, double *dy, double *dz);
   void collide(std::vector<GameObject *> *objs, double *dx, double *dy, double *dz);
   void decrLife() {}
   void draw();
   void reinitialize();
   void step(double dt, Scene* scene);

};

#endif