#ifndef _PARTICLE_H_
#define _PARTICLE_H_

//#include <stdlib.h>
#include <math.h>

#include "Constants.h"

class Particle {
friend class ParticleSystem;
friend class FlowSystem;

private:
   bool mActive;
   float mPositionX, mPositionY, mPositionZ;
   float mDirectionX, mDirectionY, mDirectionZ;
   float mAccelX, mAccelY, mAccelZ;
   float mFade;
   float mLife;

public:
   Particle();
   virtual ~Particle();

   void init();
   void flowInit();
   
   inline void setPosition(float x, float y, float z) {mPositionX = x; mPositionY = y; mPositionZ = z;}
};

#endif