#ifndef _WALKINGENEMY_H_
#define _WALKINGENEMY_H_

#include <vector>
#include "Scene.h"
//#include "Character.h"
#include "Player.h"
#include "Constants.h"

class WalkingEnemy : public Character {
protected:
   bool mEnabled;
   CMD2Model *myModel;		// the character model
   modelState_t modelState;		// global model state

public:
   WalkingEnemy(float posx, float posy, float posz);
   virtual ~WalkingEnemy();

   void collide(Player *player, double *dx, double *dy, double *dz);
   void collide(std::vector<GameObject *> *objs, double *dx, double *dy, double *dz);
   void decrLife() {}
   void draw();
   void reinitialize();
   void step(double dt, Scene *scene);

};

#endif