#ifndef _WORLD_H_
#define _WORLD_H_

#include "Stage.h"

class World {
public:
   static std::vector<Stage *> mStages;
   static std::vector<Stage *>::iterator mCurStage, mNextStage;

   static int wHeight, wWidth;

   World() {}
   virtual ~World() {}

   inline void display()                                    {(*mCurStage)->display();}
   // IDLE FUNCTION MAY HAVE TO CHANGE, MAY NEED TO CONTANTLY CHECK IF STAGE IS OVER
   inline void idle() {      
/*
      if ((*mCurStage)->mStageFlags & STAGECOMPLETE) {
         printf("Going to next stage!\n");
         mNextStage = mCurStage;
         mNextStage++;

         if (mNextStage == mStages.end()) {
            exit(0);
         }

         (*mNextStage)->restartStage();

         printf("CALLING NEXT STAGE!\n");
         (*mNextStage)->initStage();
         mCurStage = mNextStage;

//         (*mCurStage)->initStage();
      }
      else {
*/
      (*mCurStage)->idle();
//      }
   }
   inline void keyboard(unsigned char key, int x, int y)    {(*mCurStage)->keyboard(key, x, y);}
   inline void keyboardUp(unsigned char key, int x, int y)  {(*mCurStage)->keyboardUp(key, x, y);}
   inline void reshape(int x, int y)                        {wWidth = x; wHeight = y; (*mCurStage)->reshape(x, y);}
   inline void special(int key, int x, int y)               {(*mCurStage)->special(key, x, y);}
   inline void specialUp(int key, int x, int y)             {(*mCurStage)->specialUp(key, x, y);}

   inline void init() {mCurStage = mStages.begin();}
   inline void addStage(Stage *stage) {mStages.push_back(stage);}
};

#endif
