#ifndef _COIN_H_
#define _COIN_H_

#include "GameObject.h"
#include "Player.h"
#include "Material.h"

class Coin : public GameObject {
protected:
   bool mEnabled;
   GLUquadricObj *mQuad;
   Material mCoinMaterial;

   void setMaterial();

   static float mAngle;

public:
   Coin(float posx, float posy, float posz);   
   virtual ~Coin();
   
   void collide(Character *character, double *dx, double *dy, double *dz);
   void draw();
   void reinitialize();
   void step(double dt) {}

   static void gstep(double dt);
};

#endif