#include "MusicBox.h"

MusicBox::MusicBox(char *fname) {
   FSOUND_Init(44100, 32, FSOUND_INIT_GLOBALFOCUS);
   mMusic = FMUSIC_LoadSong(fname);

   if (!mMusic)
      std::cerr << "Music failed to load." << std::endl;
}

MusicBox::~MusicBox() {
   FMUSIC_FreeSong(mMusic);
   FSOUND_Close();
}

void MusicBox::PlayMusic() {
   FMUSIC_PlaySong(mMusic);
}
