#ifndef _STAGE_H_
#define _STAGE_H_

#include "Player.h"

class Stage {
friend class World;

protected:
   unsigned char mStageFlags;
   static Player mPlayer;

public:
   Stage() {}
   virtual ~Stage() {}

   virtual void display() = 0;
   virtual void idle() = 0;
   virtual void keyboard(unsigned char key, int x, int y) = 0;
   virtual void keyboardUp(unsigned char key, int x, int y) = 0;
   virtual void reshape(int x, int y) = 0;
   virtual void special(int key, int x, int y) = 0;
   virtual void specialUp(int key, int x, int y) = 0;
   virtual void restartStage() = 0;
   virtual void initStage() = 0;
};

#endif
