#ifndef _HORIZONTALPLATFORM_H_
#define _HORIZONTALPLATFORM_H_

#include "GameObject.h"
#include "Character.h"

class HorizontalPlatform : public GameObject {
protected:
   float mEndPos[3];
   float mThick[3];
   float mDistance;
   float mAngle;
   float mTime;
   float mPlayerPrev;

public:
   HorizontalPlatform(float centerx, float centery, float centerz,
                      float width, float height, float depth, float distance);
   virtual ~HorizontalPlatform();
   
   void draw();
   void step(double dt);
   void collide(Character *character, float *dx, float *dy, float *dz);
};

#endif